Bug 10274 - более ясное описание gear-srpmimport --branch в man
: более ясное описание gear-srpmimport --branch в man
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gear)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-11-14 23:08 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-14 23:08:26
из man gear-srpmimport
OPTIONS
       --branch=BRANCH
              branch name where to import (default is "srpms");

[artem@alt mypackage]$ gear-srpmimport --branch=imported 
~/RPM/SRPMS/hello-2.1.1-alt1.src.rpm
gear-srpmimport: imported: branch not found

для меня было _не_ очевидно, что при использовании ключа --branch он должен уже 
существовать.
Может стоит сделать это в man-е более ясным?
------- Comment #1 From 2006-11-18 01:01:34 -------
Или лучше создавать несуществующий бранч?
------- Comment #2 From 2006-11-18 09:45:48 -------
(In reply to comment #1)
> Или лучше создавать несуществующий бранч?

Ну это как раз было то что я ожидал. после прочтения описания опции --branch я 
ожидал, что если без --branch то создастся srpm, а если с --branch то 
_создастся_ то что я скажу.
------- Comment #3 From 2006-11-22 02:11:43 -------
In e1e75a623d97bb9a73b66455e6d6e82abaed1c6b,
Removed implicit requirement for --branch.
------- Comment #4 From 2006-11-25 14:03:46 -------
1.1.0 - fixed